package com.my.db.android;

import java.util.List;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.ListView;
import android.widget.Toast;

import com.my.db.android.db.Db;

public class HistoryActivity extends Activity {

	private ListView historyList;
	private Toast t = null;
	 

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.history);

		historyList = (ListView) findViewById(R.id.historyList);

		displayHistory();

		Button backbutton = (Button) findViewById(R.id.buttonBack);

		backbutton.setOnClickListener(new View.OnClickListener() {
			public void onClick(View v) {
				finish();
			}
		});
	}
	
	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		MenuInflater inflater = getMenuInflater();
		inflater.inflate(R.menu.menu_history, menu);
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		
		super.onOptionsItemSelected(item);
		switch (item.getItemId()) {
		case R.id.clear:
			clearHistory();
			
			displayHistory();
			
			t = Toast.makeText(getBaseContext(), "history cleaned", 1000);
			t.show();
			
			
			return true;
		}
		return false;
	}
	
	private void clearHistory() {
		Db dB = new Db(getBaseContext());
		dB.clearHistory();
	}

	private void displayHistory() {
		Db dB = new Db(getBaseContext());
		List<String> history = dB.getHistory();
		
		ArrayAdapter<String> mHistory = new ArrayAdapter<String>(this, R.layout.row, R.id.ENTRY_CELL, history);
		
		historyList.setAdapter(mHistory);

	}
}
