package com.my.db.android.db;

import java.util.ArrayList;
import java.util.List;

import com.my.db.android.util.DbHelper;

import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;

public class Db {

	private DbHelper _dbHelper;

	public Db(Context c) {
		_dbHelper = new DbHelper(c);
	}

	public void addSearchResult(String text) {
		SQLiteDatabase db = _dbHelper.getWritableDatabase();
		try {
			ContentValues values = new ContentValues();
			values.put(_dbHelper.COLOMN_NAME, text);
			db.insert(_dbHelper.TABLE_NAME, "", values);
		} finally {
			if (db != null)
				db.close();
		}
	}
	
	public void clearHistory() {
		SQLiteDatabase db = _dbHelper.getWritableDatabase();
		try {
			db.delete(_dbHelper.TABLE_NAME, "", null);
		} finally {
			if (db != null)
				db.close();
		}
	}
	
	public List<String> getHistory() {
		SQLiteDatabase db = _dbHelper.getWritableDatabase();
		try {
			List<String> results = new ArrayList<String>();
			Cursor c = db.rawQuery("select * from " + _dbHelper.TABLE_NAME, null);
			if (c.getCount() > 0) {
				c.moveToFirst();
				do {
					results.add(c.getString(c.getColumnIndex(_dbHelper.COLOMN_NAME)));
				} while (c.moveToNext());
				}
				return results;
		} finally {
			if (db != null)
				db.close();
		}
	}
}
